// -------------------------------------------------------------------------------------------------
// xsBarraEstado.hpp
// -------------------------------------------------------------------------------------------------

// Inclusión de la Libreria
#include "xsEasyCpp.hpp"

#ifndef __xsBarraEstado_hpp__
#define __xsBarraEstado_hpp__

Clase xsBarraEstado : Publica xsObjeto
{
	Privada:
    
        Entero identificador;

	Publica:

	    xsBarraEstado();
		
        Vacio crear();
        
		Entero obtenerIdentificador();

        Entero meterMensaje(xsCadena mensaje);

        Vacio sacarMensaje();

        Vacio eliminarMensaje(Entero mensajeId);

        Vacio limpiar();

		Vacio insertarEn(xsObjetoGUI* objetoInsertar);
};

// Fin de la Definición del Archivo
#endif
